# IOException class

Base class for all IO related exceptions.

Implemented types
  - Exception
Implementers
  - FileSystemException
  - HttpException
  - ProcessException
  - SignalException
  - SocketException
  - StdinException
  - StdoutException
  - TlsException
  - WebSocketException

## Constructors

IOException()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited